<?php

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

namespace ApplicationsModule\BooksModule;

use Celebrio\Core\DummyInit;
use Celebrio\Util\RequestBuilder; 
/**
 * Description of NewsInit
 *
 * @author honza
 */
class BookInit extends DummyInit {

    public function install(array $configuration) {
        parent::install($configuration);
        $bm = new BookManager();
        $epubDir = RequestBuilder::getBasePath() . "epubs/";
        $bm->addOneAuthorBook('Jan', 'Neruda', 'Povídky malostranské', $epubDir . 'povidky_malostranske');
        $bm->addOneAuthorBook('Karel Havlíček', 'Borovský', 'Král Lávra', $epubDir . 'kral_lavra');
        $bm->addOneAuthorBook(null, 'Moliere', 'Sganarelle', $epubDir . 'sganarelle');
        $bm->addOneAuthorBook('Karel Václav', 'Rais', 'Zapadlí vlastenci', $epubDir . 'zapadli_vlastenci');
        $bm->addOneAuthorBook(null, 'Moliere', 'Lakomec', $epubDir . 'lakomec');
        $bm->addOneAuthorBook('Carlo', 'Goldoni', 'Paní hostinská', $epubDir . 'pani_hostinska');
        $bm->addOneAuthorBook('Lope de', 'Vega', 'Sedlák svým pánem', $epubDir . 'sedlak_svym_panem');
        $bm->addOneAuthorBook('Pierre', 'Corneille', 'Cid', $epubDir . 'cid');
        $bm->addOneAuthorBook('Johann Wolfgang von', 'Goethe', 'Faust', $epubDir . 'faust');
        $bm->addOneAuthorBook('Johann Wolfgang von', 'Goethe', 'Proserpina', $epubDir . 'proserpina');
        $bm->addOneAuthorBook('Pierre', 'Corneille', 'Polyeuktos', $epubDir . 'polyeuktos');
        $bm->addOneAuthorBook('Johann Wolfgang von', 'Goethe', 'Egmont', $epubDir . 'egmont');
        $bm->addOneAuthorBook('Ladislav', 'Klíma', 'Utrpení knížete Sternenhocha', $epubDir . 'utrpeni_knizete_sternenhocha');
        $bm->addOneAuthorBook(null, 'Aischylos', 'Upoutaný Prometheus', $epubDir . 'upoutany_prometheus');
        $bm->addOneAuthorBook('Lope de', 'Vega', 'Ovčí pramen', $epubDir . 'ovci_pramen');
        $bm->addOneAuthorBook('William', 'Shakespeare', 'Hamlet', $epubDir . 'hamlet');
        $bm->addOneAuthorBook('William', 'Shakespeare', 'Romeo a Julie', $epubDir . 'romeo_a_julie');
        $bm->addOneAuthorBook('Jean de', 'La Fontaine', 'Bajky', $epubDir . 'bajky');
        $bm->addOneAuthorBook('Alois', 'Jirásek', 'Psohlavci', $epubDir . 'psohlavci');
        $bm->addOneAuthorBook('Alois', 'Jirásek', 'Staré pověsti české', $epubDir . 'stare_povesti_ceske_bez_poznamek');
        $bm->addOneAuthorBook('Alois', 'Jirásek', 'F.L.Věk 1. díl', $epubDir . 'flvek_01');
        $bm->addOneAuthorBook('Alois', 'Jirásek', 'F.L.Věk 2. díl', $epubDir . 'flvek_02');
        $bm->addOneAuthorBook('Alois', 'Jirásek', 'F.L.Věk 3. díl', $epubDir . 'flvek_03');
        $bm->addOneAuthorBook('Alois', 'Jirásek', 'F.L.Věk 4. díl', $epubDir . 'flvek_4');
        $bm->addOneAuthorBook('Alois', 'Jirásek', 'F.L.Věk 5. díl', $epubDir . 'flvek_5');
        $bm->addOneAuthorBook('Alois', 'Jirásek', 'Lucerna', $epubDir . 'lucerna');
        $bm->addOneAuthorBook('Alois', 'Jirásek', 'Filosofická Historie', $epubDir . 'filosofska_historie');
        $bm->addOneAuthorBook('Jaroslav', 'Vrchlický', 'Moderní básníci angličtí', $epubDir . 'moderni_basnici_anglicti');
        $bm->addOneAuthorBook('Jaroslav', 'Vrchlický', 'Noc na Karlštejně', $epubDir . 'noc_na_karlstejne');
        $bm->addOneAuthorBook('Victor', 'Hugo', 'Básně', $epubDir . 'basne_viktora_huga');
        $bm->addOneAuthorBook('Jan', 'Neruda', 'Balady a romance', $epubDir . 'ballady_a_romance');
        $bm->addOneAuthorBook('Jan', 'Neruda', 'Knihy veršů', $epubDir . 'knihy_versu');
        $bm->addOneAuthorBook('Jan', 'Neruda', 'Zpěvy páteční', $epubDir . 'zpevy_patecni');
        $bm->addOneAuthorBook('Jan', 'Neruda', 'Písně kosmické', $epubDir . 'pisne_kosmicke');
        $bm->addOneAuthorBook('Jan', 'Neruda', 'Hřbitovní kvítí', $epubDir . 'hrbitovni_kviti');
        $bm->addOneAuthorBook('Jan', 'Neruda', 'Prosté Motivy', $epubDir . 'proste_motivy');
        $bm->addOneAuthorBook('Josef Kajetán', 'Tyl', 'Strakonický dudák', $epubDir . 'strakonicky_dudak');
        $bm->addOneAuthorBook('Josef Kajetán', 'Tyl', 'Tvrdohlavá žena', $epubDir . 'tvrdohlava_zena');
        $bm->addOneAuthorBook('Karel Jaromír', 'Erben', 'Pohádky', $epubDir . 'pohadky');
        $bm->addOneAuthorBook('Karel Jaromír', 'Erben', 'Vybrané báje a pověsti národní jiných větví slovanských', $epubDir . 'vybrane_baje_a_povesti_narodni');
        $bm->addOneAuthorBook('Karel Jaromír', 'Erben', 'Kytice', $epubDir . 'kytice');
        $bm->addOneAuthorBook('Jan Amos', 'Komenský', 'Přemyšlování o dokonalosti křesťanské', $epubDir . 'premyslovani');
        $bm->addOneAuthorBook('Jan Amos', 'Komenský', 'Labyrint světa a ráj srdce', $epubDir . 'labyrint_sveta_a_raj_srdce');
        $bm->addOneAuthorBook('Friedrich', 'Schiller', 'Vilém Tell', $epubDir . 'vilem_tell');
        $bm->addOneAuthorBook('Josef Václav', 'Sládek', 'Selské písně a české znělky', $epubDir . 'selske_pisne');
        $bm->addOneAuthorBook('Josef Václav', 'Sládek', 'Sluncem a stínem', $epubDir . 'sluncem_a_stinem');
        $bm->addOneAuthorBook('Josef Václav', 'Sládek', 'V zimním období', $epubDir . 'v_zimnim_slunci');
        $bm->addOneAuthorBook('Josef Václav', 'Sládek', 'Básně', $epubDir . 'basne_sladek');
        $bm->addOneAuthorBook('Alighieri', 'Dante', 'Božská komedie', $epubDir . 'bozska_komedie');
        $bm->addOneAuthorBook('Alois', 'Jirásek', 'Staré pověsti české s obrázky', $epubDir . 'stare_povesti_ceske_s_obrazky');
        $bm->addOneAuthorBook('Bohuslava', 'Rajská', 'Z let probuzení', $epubDir . 'z_let_probuzeni');
        $bm->addOneAuthorBook('Jaroslav', 'Hašek', 'Osudy dobrého vojáka Švejka za světové války 1. a 2. díl', $epubDir . 'svejk_1_a_2');
        $bm->addOneAuthorBook('Jaroslav', 'Hašek', 'Osudy dobrého vojáka Švejka za světové války 3. a 4. díl', $epubDir . 'svejk_3_a_4');
        $bm->addOneAuthorBook('Charles', 'Baudelaire', 'Výbor z Květů zla', $epubDir . 'vybor_z_kvetu_zla');
        $bm->addOneAuthorBook('Svatopluk', 'Čech', 'Jitřní písně', $epubDir . 'jitrni_pisne');
        $bm->addOneAuthorBook('Svatopluk', 'Čech', 'Písně otroka', $epubDir . 'pisne_otroka');
        $bm->addOneAuthorBook('Svatopluk', 'Čech', 'Pravý výlet pana Broučka do Měsíce', $epubDir . 'vylet_do_mesice');
        $bm->addOneAuthorBook('Svatopluk', 'Čech', 'Ve stínu lípy', $epubDir . 've_stinu_lipy');
        $bm->addOneAuthorBook('Svatopluk', 'Čech', 'Nový epochální výlet pana Broučka, tentokrát do 15. století', $epubDir . 'novy_epochalni_vylet_pana_broucka');
        $bm->addOneAuthorBook('Svatopluk', 'Čech', 'Hanuman', $epubDir . 'hanuman');
        $bm->addOneAuthorBook('Vítězslav', 'Hálek', 'Muzikantská Liduška', $epubDir . 'muzikantska_liduska');
        $bm->addOneAuthorBook('Vítězslav', 'Hálek', 'V přírodě', $epubDir . 'v_prirode');
        $bm->addOneAuthorBook('Vítězslav', 'Hálek', 'Večerní písně', $epubDir . 'vecerni_pisne');
        $bm->addOneAuthorBook('Jakub', 'Arbes', 'Romaneta', $epubDir . 'romaneta');
        $bm->addOneAuthorBook('Victor', 'Dyk', 'Krysař', $epubDir . 'krysar');
        $bm->addOneAuthorBook('Julius', 'Zeyer', 'Radúz a Mahulena', $epubDir . 'raduz_a_mahulena');
        $bm->addOneAuthorBook('Karel Havlíček', 'Borovský', 'Křest sv. Vladimíra', $epubDir . 'krest_sv_vladimira');
        $bm->addOneAuthorBook('Julius', 'Zeyer', 'Jan Maria Plojhar', $epubDir . 'jan_maria_plojhar');
        $bm->addOneAuthorBook('Julius', 'Zeyer', 'Tři legendy o krucifixu', $epubDir . 'tri_legendy_o_krucifixu');
        $bm->addOneAuthorBook('Karel Havlíček', 'Borovský', 'Tyrolské elegie', $epubDir . 'tyrolske_elegie');
        $bm->addOneAuthorBook('Honore de', 'Balzac', 'Dívka se zlatýma očima ', $epubDir . 'divka_se_zlatyma_ocima');
        $bm->addOneAuthorBook('Jiří', 'Wolker', 'Težká hodina', $epubDir . 'tezka_hodina');
        $bm->addOneAuthorBook('Jiří', 'Wolker', 'Host do domu', $epubDir . 'host_do_domu');
        $bm->addOneAuthorBook('Václav Kliment', 'Klicpera', 'Divotvorný klobouk', $epubDir . 'divotvorny_klobouk');
        $bm->addOneAuthorBook('Rudyard', 'Kipling', 'Písně mužů', $epubDir . 'pisne_muzu');
        $bm->addOneAuthorBook('Karolína', 'Světlá', 'Černý Petříček', $epubDir . 'cerny_petricek');
        $bm->addOneAuthorBook('Jindřich Šimon', 'Baar', 'Jan Cimbura', $epubDir . 'jan_cimbura');
        $bm->addOneAuthorBook('Karolína', 'Světlá', 'Kříž u potoka', $epubDir . 'kriz_u_potoka');
        $bm->addOneAuthorBook('František Ladislav', 'Čelakovský', 'Ohlas písní ruských', $epubDir . 'ohlas_pisni_ruskych');
        $bm->addOneAuthorBook('František Ladislav', 'Čelakovský', 'Ohlas písní českých', $epubDir . 'ohlas_pisni_ceskych');
        $bm->addOneAuthorBook('Jan', 'Hus', 'Dcerka', $epubDir . 'dcerka');
        $bm->addOneAuthorBook('Friedrich', 'Schiller', 'Loupežníci', $epubDir . 'loupeznici');
        $bm->addOneAuthorBook('Karel ', 'Sabina', 'Oživené hriby', $epubDir . 'ozivene_hroby');
        $bm->addOneAuthorBook('Otokar', 'Březina', 'Svítání na západě', $epubDir . 'svitani_na_zapade');
        $bm->addOneAuthorBook('Otokar', 'Březina', 'Větry od pólů', $epubDir . 'vetry_od_polu');
        $bm->addOneAuthorBook('Otokar', 'Březina', 'Tajemné dálky', $epubDir . 'tajemne_dalky');
        $bm->addOneAuthorBook('Otokar', 'Březina', 'Ruce', $epubDir . 'ruce');
        $bm->addOneAuthorBook('Zikmund', 'Winter', 'Mistr Kampanus', $epubDir . 'mistr_kampanus');
        $bm->addOneAuthorBook('Otokar', 'Březina', 'Stavitelé chrámu', $epubDir . 'stavitele_chramu');
        $bm->addOneAuthorBook('Friedrich', 'Nietzsche', 'Tak pravil Zarathustra', $epubDir . 'tak_pravil_zarathustra');
        $bm->addOneAuthorBook('Vilém ', 'Mrštík', 'Pohádka máje', $epubDir . 'pohadka_maje');
        $bm->addOneAuthorBook('Rudyard', 'Kipling', 'Kniha džunglí', $epubDir . 'kniha_dzungli');
        $bm->addOneAuthorBook('Ladislav', 'Stroupežnický', 'Naši furianti', $epubDir . 'nasi_furianti');
        $bm->addOneAuthorBook('František', 'Gellner', 'Po nás přijde potopa', $epubDir . 'po_nas_at_prijde_potopa');
        $bm->addOneAuthorBook('Alois', 'Mrštík', 'Maryša', $epubDir . 'marysa');
        $bm->addOneAuthorBook('Francois', 'Villon', 'Básně', $epubDir . 'basne');
        $bm->addOneAuthorBook('Jan', 'Kollár', 'Slávy dcera', $epubDir . 'slavy_dcera');
        $bm->addOneAuthorBook('Karel', 'Hlaváček', 'Pozdě k ránu', $epubDir . 'pozde_k_ranu');
        $bm->addOneAuthorBook('Karel', 'Hlaváček', 'Mstivá kantiléna', $epubDir . 'mstiva_kantilena');
        $bm->addOneAuthorBook(null, 'Sofokles', 'Elektra', $epubDir . 'elektra');
        $bm->addOneAuthorBook(null, 'Aristofanés', 'Žáby', $epubDir . 'zaby');
        $bm->addOneAuthorBook('Růžena', 'Jesenská', 'Láska', $epubDir . 'laska');
        $bm->addOneAuthorBook(null, 'Euripidés', 'Medeia', $epubDir . 'medeia');
        $bm->addOneAuthorBook('František', 'Drtina', 'Dívčí školství u nás a jinde', $epubDir . 'divci_skolstvi');
        $bm->addOneAuthorBook('Kryštof z Polžic a Bezdružic', 'Harant', 'Cesta z Království Českého do Benátek 2.díl', $epubDir . 'cesta_z_kralovstvi_dil_2');
        $bm->addOneAuthorBook('Kryštof z Polžic a Bezdružic', 'Harant', 'Cesta z Království Českého do Benátek 1.díl', $epubDir . 'cesta_z_kralovstvi_dil_1');
        $bm->addOneAuthorBook('Edvard', 'Jelínek', 'Honorata z Wiśniowských Zapová', $epubDir . 'honorata');
        $bm->addOneAuthorBook(null, 'Dalimil', 'Dalimilova kronika', $epubDir . 'dalimilova_kronika');
        $bm->addOneAuthorBook(null, 'Kosmas', 'Kosmůw letopis český', $epubDir . 'kosmuw_letopis_cesky');
        $bm->addOneAuthorBook('Magdalena Dobromila', 'Rettigová', 'Domácí kuchařka', $epubDir . 'domaci_kucharka');
        $bm->addOneAuthorBook('Pavla', 'Moudrá', 'Do dívčích let', $epubDir . 'do_divcich_let');
        $bm->addOneAuthorBook('Pavla', 'Moudrá', 'Výbor přednášek', $epubDir . 'vybor_prednasek');
        $bm->addOneAuthorBook('Jarmila', 'Hašková', 'Povídky o slabých ženách a silných mužích a naopak', $epubDir . 'povidky_o_slabych_zenach_a_silnych_muzich');
        $bm->addOneAuthorBook('Olga', 'Stránská', 'Ženská otázka s hlediska pokrokového', $epubDir . 'zenska_otazka');
        $bm->addOneAuthorBook('Krista', 'Nevšímalová', 'Informatorium moderní ženy', $epubDir . 'informatorium_moderni_zeny');
        $bm->addOneAuthorBook('Ellis', 'Ethelmer', 'Odkud přišel bratříček?', $epubDir . 'odkud_prisel_bratricek');
        $bm->addOneAuthorBook(null, 'Neznámý', 'Tisíc a jedna noc', $epubDir . 'pohadky_tisice_a_jedne_noci');
        $bm->addOneAuthorBook('Václav', 'Hanka', 'Rukopis královehradecký', $epubDir . 'rukopis_kralovedvorsky');
        $bm->addOneAuthorBook('Karel Jaromír', 'Erben', 'Prostonárodní české písně a říkadla', $epubDir . 'prostonarodni_ceske_basne_a_rikadla');
        $bm->addOneAuthorBook('Arthur Conan', 'Doyle', 'Údolí strachu', $epubDir . 'udoli_strachu');
        $bm->addOneAuthorBook('Arthur Conan', 'Doyle', 'Vzpomínky na Sherlocka Holmese', $epubDir . 'vzpominky_na_sherlocka_holmese');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'Od člověka k člověku 2.díl', $epubDir . 'od_cloveka_k_cloveku_ii');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'Zahradníkův rok', $epubDir . 'zahradnikuv_rok');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'O umění a kultuře 1.díl', $epubDir . 'o_umeni_a_kulture_i');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'Trapné povídky', $epubDir . 'trapne_povidky');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'Boží muka', $epubDir . 'bozi_muka');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'Matka', $epubDir . 'matka');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'Hordubal', $epubDir . 'hordubal');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'Italské listy', $epubDir . 'italske_listy');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'Jak se co dělá', $epubDir . 'jak_se_co_dela');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'Skandální aféra Josefa Holouška', $epubDir . 'skandalni_afera_josefa_holouska');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'Hovory s T.G.Masarykem', $epubDir . 'hovory_s_t_g_masarykem');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'Dášenka čili život štěněte', $epubDir . 'dasenka_cili_zivot_stenete');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'Od člověka k člověku 3.díl', $epubDir . 'od_cloveka_k_cloveku_iii');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'Kalendář', $epubDir . 'kalendar');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'Marsyas čili Na okraj literatury', $epubDir . 'marsyas');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'Válka s mloky', $epubDir . 'valka_s_mloky');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'Výlet do Španěl', $epubDir . 'vylet_do_spanel');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'Měl jsem psa a kočku', $epubDir . 'mel_jsem_psa_a_kocku');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'O věcech obecných čili Zóon polítikon', $epubDir . 'o_vecech_obecnych_cili_zoon_politikon');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'Kritika slov', $epubDir . 'kritika_slov');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'Od člověka k člověku 1.díl', $epubDir . 'od_cloveka_k_cloveku_i');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'První parta', $epubDir . 'prvni_parta');
        $bm->addOneAuthorBook('Božena', 'Němcová', 'Listy 4.díl', $epubDir . 'listy_4');
        $bm->addOneAuthorBook('Božena', 'Němcová', 'O Zlatovlásce', $epubDir . 'o_zlatovlasce');
        $bm->addOneAuthorBook('Božena', 'Němcová', 'Sedmero krkavců', $epubDir . 'sedmero_krkavcu');
        $bm->addOneAuthorBook('Božena', 'Němcová', 'Listy 2.díl', $epubDir . 'listy_2');
        $bm->addOneAuthorBook('Božena', 'Němcová', 'Listy 1.díl', $epubDir . 'listy_1');
        $bm->addOneAuthorBook('Božena', 'Němcová', 'O hloupém Honzovi', $epubDir . 'o_hloupem_honzovi');
        $bm->addOneAuthorBook('Božena', 'Němcová', 'Listy 3.díl', $epubDir . 'listy_3');
        $bm->addOneAuthorBook('Božena', 'Němcová', 'O Smolíčkovi', $epubDir . 'o_smolickovi');
        $bm->addOneAuthorBook('Božena', 'Němcová', 'Pohorská vesnice', $epubDir . 'pohorska_vesnice');
        $bm->addOneAuthorBook('Božena', 'Němcová', 'Slovenské pohádky a pověsti 2.díl', $epubDir . 'slovenske_pohadky_2');
        $bm->addOneAuthorBook('Božena', 'Němcová', 'Povídky', $epubDir . 'povidky_2');
        $bm->addOneAuthorBook('Božena', 'Němcová', 'O Pánu Bohu', $epubDir . 'o_panubohu');
        $bm->addOneAuthorBook('Božena', 'Němcová', 'Národopisné a cestopisné obrazy ze Slovenska', $epubDir . 'narodopis_slovensko');
        $bm->addOneAuthorBook('Božena', 'Němcová', 'Čertův švagr', $epubDir . 'certuv_svagr');
        $bm->addOneAuthorBook('Božena', 'Němcová', 'O dvanácti měsíčkách', $epubDir . 'o_dvanacti_mesickach');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'Adam Stvořitel', $epubDir . 'adam_stvoritel');
        $bm->addOneAuthorBook('Arthur Conan', 'Doyle', 'Příběhy Sherlocka Holmese', $epubDir . 'pribehy_sherlocka_holmese');
        $bm->addOneAuthorBook('Arthur Conan', 'Doyle', 'Mstitel', $epubDir . 'mstitel');
        $bm->addOneAuthorBook('Arthur Conan', 'Doyle', 'Pes Baskervillský', $epubDir . 'pes_baskervillsky');
        $bm->addOneAuthorBook('Arthur Conan', 'Doyle', 'Poslední poklona Sherlocka Holmese', $epubDir . 'posledni_poklona');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'Anglické listy', $epubDir . 'anglicke_listy');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'Bílá nemoc', $epubDir . 'bila_nemoc');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'Cesta na sever', $epubDir . 'cesta_na_sever');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'Život a dílo skladatele Foltýna', $epubDir . 'zivot_a_dilo_skladatele_foltyna');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'R.U.R', $epubDir . 'rur');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'Kniha apokryfů', $epubDir . 'kniha_apokryfu');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'Věc Makropulos', $epubDir . 'vec_makropulos');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'Jak vzniká divadelní hra', $epubDir . 'jak_vznika_divadelni_hra');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'Obyčejný život', $epubDir . 'obycejny_zivot');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'Menší prózy', $epubDir . 'mensi_prozy');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'Továrna na absolutno', $epubDir . 'tovarna_na_absolutno');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'Korespondence 1.díl', $epubDir . 'korespondence');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'Korespondence 2.díl', $epubDir . 'korespondence_ii');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'Zářivé hlubiny a jiné prózy', $epubDir . 'zarive_hlubiny_a_jine_prozy');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'Ze života hmyzu', $epubDir . 'ze_zivota_hmyzu');
        $bm->addOneAuthorBook('Arthur Conan', 'Doyle', 'Návrat Sherlocka Holmese', $epubDir . 'navrat_sherlocka_holmese');
        $bm->addOneAuthorBook('Božena ', 'Němcová', 'O ptáku Ohniváku a mořské panně', $epubDir . 'o_ptaku_ohnivaku_a_morske_panne');
        $bm->addOneAuthorBook('Božena ', 'Němcová', 'Babička', $epubDir . 'babicka');
        $bm->addOneAuthorBook('Božena ', 'Němcová', 'Národní báchorky a pověsti 1.díl', $epubDir . 'narodni_bachorky_i');
        $bm->addOneAuthorBook('Božena ', 'Němcová', 'O princezně se zlotou hvězdou na čele', $epubDir . 'o_princezne_se_zlatou_hvezdou_na_cele');
        $bm->addOneAuthorBook('Karel ', 'Čapek', 'Povídky z druhé kapsy', $epubDir . 'povidky_z_druhe_kapsy');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'Devatero pohádek', $epubDir . 'devatero_pohadek');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'Povídky z jedné kapsy', $epubDir . 'povidky_z_jedne_kapsy');
        $bm->addOneAuthorBook('Karel Jaromír', 'Erben', 'Jabloňová panna', $epubDir . 'jablonova_panna');
        $bm->addOneAuthorBook('Božena ', 'Němcová', 'Národní báchorky a pověsti 2.díl', $epubDir . 'narodni_bachorky_ii');
        $bm->addOneAuthorBook('Božena ', 'Němcová', 'Sůl nad zlato', $epubDir . 'sul_nad_zlato');
        $bm->addOneAuthorBook('Božena ', 'Němcová', 'Básně a jiné práce', $epubDir . 'bas_a_jine_prace');
        $bm->addOneAuthorBook('Božena ', 'Němcová', 'Slovenské pohádky a pověsti 1.díl', $epubDir . 'slovenske_pohadky_1');
        $bm->addOneAuthorBook('Božena ', 'Němcová', 'O Popelce', $epubDir . 'o_popelce');
        $bm->addOneAuthorBook('Božena ', 'Němcová', 'O zlatém kolovrátku', $epubDir . 'o_zlatem_kolovratku');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'Básnické překlady', $epubDir . 'basnicke_pocatky');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'Krakatit', $epubDir . 'krakatit');
        $bm->addOneAuthorBook('Karel Hynek', 'Mácha', 'Máj', $epubDir . 'maj');
        $bm->addOneAuthorBook('Hans Christian', 'Andersen', 'Křesadlo', $epubDir . 'kresadlo');
        $bm->addOneAuthorBook('Hans Christian', 'Andersen', 'Císařovy nové šaty', $epubDir . 'cisarovy_nove_saty');
        $bm->addOneAuthorBook('Hans Christian', 'Andersen', 'O hloupém Honzovi', $epubDir . 'o_hloupem_honzovi');
        $bm->addOneAuthorBook('Václav', 'Říha', 'Zvířátka a Petrovští', $epubDir . 'zviratka_a_petrovsti');
        $bm->addOneAuthorBook('Jan', 'Karafiát', 'Broučci', $epubDir . 'broucci');
        $bm->addOneAuthorBook('Rudolf', 'Těsnohlídek', 'Liška Bystrouška', $epubDir . 'liska_bystrouska');
        $bm->addOneAuthorBook('Hans Christian', 'Andersen', 'Císařův slavík', $epubDir . 'cisaruv_slavik');
        $bm->addOneAuthorBook('Beneš Metod', 'Kulda', 'Čertův mlýn', $epubDir . 'certuv_mlyn');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'Překlady', $epubDir . 'preklady');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'Obrázky z Holandska', $epubDir . 'obrazky_z_holandska');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'Povětroň', $epubDir . 'povetron');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'Loupežník', $epubDir . 'loupeznik');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'Univerzitní studie', $epubDir . 'univerzitni_studie');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'Krakonošova zahrada', $epubDir . 'krakonosova_zahrada');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'O umění a kultuře 2.díl', $epubDir . 'o_umeni_a_kulture_ii');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'O umění a kultuře 3.díl', $epubDir . 'o_umeni_a_kulture_iii');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'Dodatky ke svazkům', $epubDir . 'dodatky_ke_svazkum_xiv_xix');
        $bm->addOneAuthorBook('Václav', 'Říha', 'Kovář Paška', $epubDir . 'kovar_paska');
        $bm->addOneAuthorBook('Božena', 'Němcová', 'Neohrožený Mikeš', $epubDir . 'neohrozeny_mikes');
        $bm->addOneAuthorBook('Božena', 'Němcová', 'Princ Bajaja', $epubDir . 'princ_bajaja');
        $bm->addOneAuthorBook('Božena', 'Němcová', 'Povídky', $epubDir . 'povidky_1');
        $bm->addOneAuthorBook('Božena', 'Němcová', 'Pohádka o kohoutkovi a slepičce', $epubDir . 'pohadka_o_kohoutkovi_a_o_slepicce');
        $bm->addOneAuthorBook('Božena', 'Němcová', 'Pohádka o perníkové chaloupce', $epubDir . 'pohadka_o_pernikove_chaloupce');
        $bm->addOneAuthorBook('Božena', 'Němcová', 'Národopisné a cestopisné obrazy z Čech', $epubDir . 'narodopis_cesko');
        $bm->addOneAuthorBook('Božena', 'Němcová', 'Čert a Káča', $epubDir . 'cert_a_kaca');
        $bm->addOneAuthorBook('Božena', 'Němcová', 'Mahulena, krásná panna', $epubDir . 'mahulena_krasna_panna');
        $bm->addOneAuthorBook('Božena', 'Němcová', 'O Dlouhém, Širokém a Žárookém', $epubDir . 'o_dlouhem_sirokem_a_zarookem');
        $bm->addOneAuthorBook('Božena', 'Němcová', 'O Slunečníku, Měsíčníku a Větrníku', $epubDir . 'o_slunecniku_mesicniku_a_vetrniku');
        $bm->addOneAuthorBook('Karel', 'Čapek', 'Lásky hra osudná', $epubDir . 'lasky_hra_osudna');
        $bm->addOneAuthorBook('Matěj', 'Mikšíček', 'Ospalý Janek', $epubDir . 'ospaly_janek');
        $bm->addOneAuthorBook('Karel Hynek', 'Mácha', 'Jitro', $epubDir . 'jitro');
        $bm->addOneAuthorBook('Václav Beneš', 'Třebízský', 'Divotvorný ubrousek', $epubDir . 'divotvorny_ubrousek');
        $bm->addOneAuthorBook('Josef L.', 'Kořenský', 'Květena jarní', $epubDir . 'kvetena_jarni');
        $bm->addOneAuthorBook('Beneš Metod', 'Kulda', 'O třech holubicích', $epubDir . 'o_trech_holubicich');
        $bm->addOneAuthorBook('Beneš Metod', 'Kulda', 'Silný Jura', $epubDir . 'silny_jura');
        $bm->addOneAuthorBook('Božena ', 'Němcová', 'Chytrá horákyně', $epubDir . 'chytra_horakyne');
        $bm->addOneAuthorBook(null, 'Neznámý', 'Památník českých žen', $epubDir . 'pamatnik_ceskych_zen');
        $bm->addOneAuthorBook(null, 'Neznámý', 'Máj', $epubDir . 'maj_lit_almanach_umel_besedy');
    }

    public function uninstall() {
        parent::uninstall();
    }

}