CREATE TABLE [authors]
(
    [id_author] Int IDENTITY(1,1) NOT NULL,
    [firstname] nvarchar(50) NULL,
    [surname] nvarchar(50) NOT NULL
);

CREATE TABLE [books]
(
 [id_book] Int IDENTITY(1,1) NOT NULL,
 [url] nvarchar(255) NOT NULL,
 [title] nvarchar(255) NOT NULL
);

CREATE TABLE [books_authors] 
(
    [id_book] Int NOT NULL,
    [id_author] Int NOT NULL
);

CREATE TABLE [books_last_read]
(
    [id_book] Int NOT NULL,
    [id_user] Int NOT NULL,
    [time] Datetime2 DEFAULT CURRENT_TIMESTAMP NOT NULL
);

ALTER TABLE [books] ADD CONSTRAINT [books_pk] PRIMARY KEY ([id_book]);

ALTER TABLE [authors] ADD CONSTRAINT [authors_pk] PRIMARY KEY ([id_author]);

ALTER TABLE [books_authors] ADD CONSTRAINT [books_authors_pk] PRIMARY KEY ([id_book],[id_author]);
ALTER TABLE [books_authors] ADD CONSTRAINT [books_authors_book] FOREIGN KEY ([id_book]) REFERENCES [books] ([id_book]) ON UPDATE CASCADE ON DELETE CASCADE;
ALTER TABLE [books_authors] ADD CONSTRAINT [books_authors_author] FOREIGN KEY ([id_author]) REFERENCES [authors] ([id_author]) ON UPDATE CASCADE ON DELETE CASCADE;

ALTER TABLE [books_last_read] ADD CONSTRAINT [books_last_read_pk] PRIMARY KEY ([id_book],[id_user]);
ALTER TABLE [books_last_read] ADD CONSTRAINT [books_last_read_book] FOREIGN KEY ([id_book]) REFERENCES [books] ([id_book]) ON UPDATE CASCADE ON DELETE CASCADE;
ALTER TABLE [books_last_read] ADD CONSTRAINT [books_last_read_author] FOREIGN KEY ([id_user]) REFERENCES [users] ([id]) ON UPDATE CASCADE ON DELETE CASCADE;