CREATE TABLE "authors"
(
    "id_author" Serial,
    "firstname" Varchar(50),
    "surname" Varchar(50) NOT NULL
) WITH (OIDS=FALSE);

CREATE TABLE "books"
(
 "id_book" Serial,
 "url" Varchar(255) NOT NULL,
 "title" Varchar(255) NOT NULL,
 "language" Character(2) DEFAULT 'cs' NOT NULL,
) WITH (OIDS=FALSE);

CREATE TABLE "books_authors" 
(
    "id_book" Integer NOT NULL,
    "id_author" Integer NOT NULL
) WITH (OIDS=FALSE);

CREATE TABLE "books_last_read"
(
    "id_book" Integer NOT NULL,
    "id_user" Integer NOT NULL,
    "time" Timestamp(6) DEFAULT CURRENT_TIMESTAMP NOT NULL
) WITH (OIDS=FALSE);

ALTER TABLE "books" ADD CONSTRAINT "books_pk" PRIMARY KEY ("id_book");

ALTER TABLE "authors" ADD CONSTRAINT "authors_pk" PRIMARY KEY ("id_author");

ALTER TABLE "books_authors" ADD CONSTRAINT "books_authors_pk" PRIMARY KEY ("id_book","id_author");
ALTER TABLE "books_authors" ADD CONSTRAINT "books_authors_book" FOREIGN KEY ("id_book") REFERENCES "books" ("id_book") ON UPDATE CASCADE ON DELETE CASCADE;
ALTER TABLE "books_authors" ADD CONSTRAINT "books_authors_author" FOREIGN KEY ("id_author") REFERENCES "authors" ("id_author") ON UPDATE CASCADE ON DELETE CASCADE;

ALTER TABLE "books_last_read" ADD CONSTRAINT "books_last_read_pk" PRIMARY KEY ("id_book","id_user");
ALTER TABLE "books_last_read" ADD CONSTRAINT "books_last_read_book" FOREIGN KEY ("id_book") REFERENCES "books" ("id_book") ON UPDATE CASCADE ON DELETE CASCADE;
ALTER TABLE "books_last_read" ADD CONSTRAINT "books_last_read_author" FOREIGN KEY ("id_user") REFERENCES "users" ("id") ON UPDATE CASCADE ON DELETE CASCADE;